<template>
	<div class="pc-a4 diy_pc-box" :style="{'background':item.background_image?'linear-gradient(to top,rgba(255, 255, 255, 1), rgba(255, 255, 255, 0.3)), url('+item.background_image+') repeat-y left top/100% auto':''}">
		<div class="content" v-for="(fenlei,fenleiindex) of item.data.fenlei" :key="fenleiindex">
			<div class="middle_title">
				<div class="big-title">
					<p class="big_en-title" v-if="fenlei.vice_name">{{fenlei.vice_name}}</p>
					<p class="big_cn-title">{{fenlei.name}}</p>
				</div>
				<div class="more_btn-box">
					<p class="more-btn" @click.stop="splicingUrl('index/search/index',['category_id'],[fenlei.id])">MORE｜更多</p>
				</div>
			</div>
			<div class="goods_list-box">
				<div class="goods-big" @click.stop="splicingUrl('index/goods/index',['id','bid'],[item.data.gd_list[fenlei.id][0].id,item.data.gd_list[fenlei.id][0].base_id])">
					<div class="goods_image-box">
						<img :src="item.data.gd_list[fenlei.id][0].images+'?x-oss-process=image/resize,m_fill,w_1210,h_555,limit_0/quality,q_100'" class="goods-image" />
						<p class="goods-brand" v-if="item.data.gd_list[fenlei.id][0].brand_name">{{item.data.gd_list[fenlei.id][0].brand_name}}</p>
					</div>
					<div class="goods-info">
						<p class="goods-title">{{item.data.gd_list[fenlei.id][0].title}}</p>
						<div class="goods_price_infobtn-box">
							<p class="goods-price" v-if="!isNaN(item.data.gd_list[fenlei.id][0].price)"><span class="currency">{{currency}}</span>{{item.data.gd_list[fenlei.id][0].price}}</p>
							<p class="goods-price" v-else>{{item.data.gd_list[fenlei.id][0].price}}</p>
							<p class="see_goods_info-btn">查看详情</p>
						</div>
					</div>
				</div>
				<div class="goods-small" v-for="(goodsinfo,goodsindex) in item.data.gd_list[fenlei.id].slice(1,5)" :key="goodsindex" @click.stop="splicingUrl('index/goods/index',['id','bid'],[goodsinfo.id,goodsinfo.base_id])">
					<div class="goods_image-box">
						<img :src="goodsinfo.images+'?x-oss-process=image/resize,m_fill,w_590,h_480,limit_0/quality,q_80'" class="goods-image" />
						<p class="goods-brand" v-if="goodsinfo.brand_name">{{goodsinfo.brand_name}}</p>
					</div>
					<div class="goods-info">
						<p class="goods-title">{{goodsinfo.title}}</p>
						<p class="goods-price" v-if="!isNaN(goodsinfo.price)"><span class="currency">{{currency}}</span>{{goodsinfo.price}}</p>
						<p class="goods-price" v-else>{{goodsinfo.price}}</p>
					</div>
				</div>
			</div>
		</div>
	</div>
</template>

<script>
	module.exports = {
		name: 'pca4',
		data() {
			return {
				currency: currency,
			}
		},
		props: {
			item: {
				type: Object,
				default: () => {}
			},
		},
		methods: {
			splicingUrl(searchurl, paramName, param) {
				splicingUrl(searchurl, paramName, param,'blank');
			},
		}
	}
</script>